Skip to main content
GET
List autopay configurations

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

external_account_id
string<uuid>
business_id
string<uuid>
from_creation_time
string<date-time>
from_last_updated_time
string<date-time>
sort_by
enum<string>[]
Available options:
creation_time:asc,
creation_time:desc,
last_updated_time:asc,
last_updated_time:desc
to_last_updated_time
string<date-time>
source_account_id
string<uuid>
tenant
string[]

The id of the tenant containing the resource.

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

status
enum<string>

Status of the autopay configuration

Available options:
ACTIVE,
DISABLED,
PAUSED
lending_account_id
string<uuid>[]
limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

person_id
string<uuid>
to_creation_time
string<date-time>
id
string<uuid>[]

Response

List of autopay configurations

autopay_configs
object[]
required

Array of autopay configurations

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"